package xyz.veronie.bgg.ui.dialogs;

import static org.eclipse.jface.widgets.WidgetFactory.text;

import org.eclipse.jface.dialogs.Dialog;
import org.eclipse.swt.SWT;
import org.eclipse.swt.events.FocusEvent;
import org.eclipse.swt.events.FocusListener;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class SaveGameListDialog extends Dialog {

	private String entryString;

	public SaveGameListDialog(Shell parentShell) {
        super(parentShell);
    }

    @Override
    protected Control createDialogArea(Composite parent) {
        Composite container = (Composite) super.createDialogArea(parent);
        
        GridLayout layout = new GridLayout(1, false);
        layout.marginLeft = 16;
        layout.marginTop = 16;
        layout.marginRight = 16;
        layout.marginBottom = 16;
        container.setLayout(layout);

        Text text = text(SWT.BORDER).message("Enter game list name")
        		.limitTo(255)
        		.layoutData(new GridData(SWT.CENTER, SWT.CENTER, true, false))
        		.create(container);


        FocusListener focusListener = new FocusListener() {
            public void focusGained(FocusEvent e) {
            }

            public void focusLost(FocusEvent e) {
              Text t = (Text) e.widget;
              entryString = t.getText();
            }
          };
          text.addFocusListener(focusListener);
          
        return container;
    }

    // overriding this methods allows you to set the
    // title of the custom dialog
    @Override
    protected void configureShell(Shell newShell) {
        super.configureShell(newShell);
        newShell.setText("Enter game list name");
    }

    @Override
    protected Point getInitialSize() {
        return new Point(450, 300);
    }
    
    public String getEntryText() {
    	return entryString;
    }
    
}
